import {Component} from '@angular/core';
import {AccountService} from "../../services/account.service";
import {ActivatedRoute, Router} from "@angular/router";
import {AppState} from "../../../shared/app-state";
import {SubscribingComponent} from "../../../shared/components/subscribing.component";
import {ErrorService} from "../../../shared/service/error.service";

@Component({
  selector: 'cre-logout',
  templateUrl: './logout.component.html',
  styleUrls: ['./logout.component.sass']
})
export class LogoutComponent extends SubscribingComponent {

  constructor(
    private accountService: AccountService,
    private appState: AppState,
    errorService: ErrorService,
    router: Router,
    activatedRoute: ActivatedRoute
  ) {
    super(errorService, activatedRoute, router)
  }

  ngOnInit(): void {
    if (!this.appState.isAuthenticated) {
      this.urlUtils.navigateTo('/account/login')
    }

    this.subscribeAndNavigate(
      this.accountService.logout(),
      '/account/login'
    )
  }
}
